<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddFeatureControlPolicyReq StructType
 * @subpackage Structs
 */
class AddFeatureControlPolicyReq extends APIRequest
{
    /**
     * The featureControlPolicy
     * @var XFeatureControlPolicy
     */
    public $featureControlPolicy;
    /**
     * Constructor method for AddFeatureControlPolicyReq
     * @uses AddFeatureControlPolicyReq::setFeatureControlPolicy()
     * @param XFeatureControlPolicy $featureControlPolicy
     */
    public function __construct(XFeatureControlPolicy $featureControlPolicy = null)
    {
        $this
            ->setFeatureControlPolicy($featureControlPolicy);
    }
    /**
     * Get featureControlPolicy value
     * @return XFeatureControlPolicy|null
     */
    public function getFeatureControlPolicy()
    {
        return $this->featureControlPolicy;
    }
    /**
     * Set featureControlPolicy value
     * @param XFeatureControlPolicy $featureControlPolicy
     * @return AddFeatureControlPolicyReq
     */
    public function setFeatureControlPolicy(XFeatureControlPolicy $featureControlPolicy = null)
    {
        $this->featureControlPolicy = $featureControlPolicy;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddFeatureControlPolicyReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
